List an animal's case reviews
The newest first, each with its sign-offs; an open one with where it stands. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
animals
/
{id}
/
case-reviews
List an animal's case reviews
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/animals/{id}/case-reviews \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/animals/{id}/case-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/animals/{id}/case-reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"animal_id": "<string>",
"outcome": "<string>",
"status": "open",
"signoffs": [
{
"person_id": "<string>",
"agrees": true,
"signed_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"note": "<string>"
}
],
"reason": "<string>",
"decision": "proceed",
"decision_note": "<string>",
"decided_by_name": "<string>",
"decided_at": "2023-11-07T05:31:56Z",
"opened_by_name": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"rules": {},
"history": {},
"standing": {
"rules": {
"signoffs_required": 5,
"min_days_in_care": 30,
"check_reasons": [
"<string>"
]
},
"agreed": 123,
"days_in_care": 123,
"can_proceed": true
}
}
],
"settings": {
"signoffs_required": 5,
"min_days_in_care": 30,
"check_reasons": [
"<string>"
]
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
List an animal's case reviews
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/animals/{id}/case-reviews \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/animals/{id}/case-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/animals/{id}/case-reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"animal_id": "<string>",
"outcome": "<string>",
"status": "open",
"signoffs": [
{
"person_id": "<string>",
"agrees": true,
"signed_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"note": "<string>"
}
],
"reason": "<string>",
"decision": "proceed",
"decision_note": "<string>",
"decided_by_name": "<string>",
"decided_at": "2023-11-07T05:31:56Z",
"opened_by_name": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"rules": {},
"history": {},
"standing": {
"rules": {
"signoffs_required": 5,
"min_days_in_care": 30,
"check_reasons": [
"<string>"
]
},
"agreed": 123,
"days_in_care": 123,
"can_proceed": true
}
}
],
"settings": {
"signoffs_required": 5,
"min_days_in_care": 30,
"check_reasons": [
"<string>"
]
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
